package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

/**
 * @Description: 核查科室输出类
 * @Author:songxl
 * @time: 2021/5/14 13:45
 */
@Getter
@Setter
public class CheckDeptDTO {
    //科室id
    private String deptId;
    //科室名称
    private String deptName;
    //科室质控人员列表
    private List<DeptCheckUserDTO> deptcheckUsers = new ArrayList<>();
}
