package com.diagbot.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Getter;
import lombok.Setter;
import java.io.Serializable;

/**
 * @Description:
 * @author: cy
 * @time: 2020/9/4 14:59
 */
@Getter
@Setter
public class GetQcClickDTO implements Serializable {

    /**
     * 科室id
     */
    private String deptId;

    /**
     * 科室名称
     */
    @Excel(name = "科室", width = 30d, orderNum = "1")
    private String deptName;

    /**
     * 模块质控按钮点击数
     */
    @Excel(name = "模块质控按钮点击数", width = 20d,orderNum = "2")
    private Integer singleModeNum;

    /**
     * 全病历质控按钮点击数
     */
    @Excel(name = "全病历质控按钮点击数", width = 20d,orderNum = "3")
    private Integer totalModeNum;

}
