package com.diagbot.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 病案管理指标病历
 * </p>
 *
 * @author zhoutg
 * @since 2020-04-13
 */
@Data
public class MedManageParamsDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 病人住院ID
     */
    private String behospitalCode;

   // 医嘱项目名称
    private String daItemName;


    //医嘱处方类型
    private String doctorAdviceType;

    //化验报告名称
    private String repName;

    //医嘱状态判别
    private String daStatus;

    //病历标题
    private String content;

    //文书内容（blob）
    private String rec_title;



}
