package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author songxl
 * @since 2021-05-11
 */
@TableName("med_behospital_type")
@Data
public class MedBehospitalType implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 病历号
     */
    private String behospitalCode;

    /**
     * 患者类型
     */
    private String behospitalType;

    /**
     * 类型分值
     */
    private Integer value;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 是否删除
     */
    private String isDeleted;

    @Override
    public String toString() {
        return "MedBehospitalType{" +
            "id=" + id +
            ", hospitalId=" + hospitalId +
            ", behospitalCode=" + behospitalCode +
            ", behospitalType=" + behospitalType +
            ", value=" + value +
            ", createTime=" + createTime +
            ", isDeleted=" + isDeleted +
        "}";
    }
}
