package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 质控关联条目表
 * </p>
 *
 * @author cy
 * @since 2021-04-16
 */
@Data
public class QcCasesRelevanceEntry implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 指标编号
     */
    private Integer type;

    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 指标名称
     */
    private String casesName;

    /**
     * 关联质控条目
     */
    private Long relevanceId;

    /**
     * 条目
     */
    private String name;

    private String isDeleted;
}
