package com.diagbot.mapper;

import com.diagbot.entity.MedIndexResult;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.vo.FilterVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author cy
 * @since 2021-04-26
 */
public interface MedIndexResultMapper extends BaseMapper<MedIndexResult> {

    /**
     * 指标分母人数
     * @param filterVO
     * @return
     */
    public Map<String, Double> medicalRecordIndicator(@Param("filterVO") FilterVO filterVO);
}
