package com.diagbot.service.impl;

import com.diagbot.entity.MedIndexResult;
import com.diagbot.mapper.MedIndexResultMapper;
import com.diagbot.service.MedIndexResultService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.vo.FilterVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author cy
 * @since 2021-04-26
 */
@Service
public class MedIndexResultServiceImpl extends ServiceImpl<MedIndexResultMapper, MedIndexResult> implements MedIndexResultService {
    /**
     * 各指标分母
     * @param filterVO
     * @return
     */
    public Map<String, Double> medicalRecordIndicator(@Param("filterVO") FilterVO filterVO){
        return baseMapper.medicalRecordIndicator(filterVO);
    }
}
