package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @Description:
 * @author: cy
 * @time: 2020/9/4 14:59
 */
@Getter
@Setter
public class GetQcClickVO{
    /**
     * 医院id
     */
    @ApiModelProperty(hidden = true)
    private Long hospitalId;

    /**
     * 科室id
     */
    private String deptId;

    /**
     * 科室名称
     */
    private String deptName;

    /**
     * 排序（升序）
     */
    private String asc;

    /**
     * 排序（降序）
     */
    private String desc;


    @NotNull(message = "请输入起始时间")
    private String startDate;

    @NotNull(message = "请输入截止时间")
    private String endDate;
}
