package com.diagbot.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/4/15 16:04
 */
@Getter
@Setter
public class IndexTimeVO {

    /**
     * 起始时间
     */
    @NotBlank(message = "请输入起始时间")
    private String startDate;
    /**
     * 结束时间
     */
    @NotBlank(message = "请输入结束时间")
    private String endDate;

    /**
     * 医院id
     */
    @ApiModelProperty(hidden = true)
    private String hospitalId;

    @ApiModelProperty(hidden = true)
    private Long userId;

}
