package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

/**
 * @Description: 科室核查人员输出类
 * @Author:songxl
 * @time: 2021/5/14 13:45
 */
@Getter
@Setter
public class CheckJobDTO {
    //核查任务id
    private int id;
    //病人住院序号
    private String behospitalCode;
    //病人姓名
    private String name;
    //科室
    private String behospitalDept;
    //主管医生
    private String attendingDoctor;
    //出院日期
    private String leaveHospitalDate;
    //核查任务生成时间
    private String jobCreateTime;
    //任务分配人员id
    private Long jobDistributor;
    //任务分配人员名称
    private String jobDistributorName;
    //科室id
    private String behospitalDeptId;

    //筛选分值
    private int value;
    //取消分配标志
    private Boolean delFlag;
}
