package com.diagbot.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author zhoutg
 * @since 2020-04-13
 */
@Data
public class MedicalRecordDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 病人住院ID
     */
    private String behospitalCode;
    /**
     * 病人医院ID
     */
    private Long hospitalId;
    /**
     * 模块id
     */
    private Long modeId;

    /**
     * 病历标题
     */
    private String recTitle;

    /**
     * 病历日期
     */
    private String recDate;

    /**
     *是否从结构化表中取数据(0-从文文书取 1-从结构化取)
     */
    private int isParsed = 0;

}
