package com.diagbot.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import cn.afterturn.easypoi.excel.annotation.ExcelCollection;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/7/16 13:43
 */
@Getter
@Setter
public class ReBeHosDTO {
    /**
     * 病案号
     */
    @Excel(name = "病案号", width = 20, needMerge = true, orderNum = "1")
    private String fileCode;
    /**
     * 性别
     */
    @Excel(name = "性别", width = 10, needMerge = true, orderNum = "2")
    private String sex;

    /**
     * 间隔天数
     */
    @Excel(name = "间隔天数", width = 10, needMerge = true, orderNum = "4")
    private Integer diffDays;


    @Excel(name = "是否有出院31天内再住院计划", width = 30, needMerge = true,  orderNum = "5")
    private String lastAgainBehospitalPlan;//31天再入院计划(是/否)

    /**
     * 比较病历组
     */
    @ExcelCollection(name = "", orderNum = "6")
    private List<ReBeHosDetailDTO> details;
}