package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author zhanghang
 * @since 2021-12-02
 */
@Data
public class MedQcresultClick implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 住院号
     */
    private String behospitalCode;

    /**
     * 科室id
     */
    private String deptId;

    /**
     * 科室name
     */
    private String deptName;


    /**
     * 评分结果id
     */
    private Long qcresultInfoId;

    /**
     * 触发埋点病历质控缺陷id集
     */
    private String CasesEntryIds;

    /**
     *  记录创建时间
     */
    private Date gmtCreate;
}
