package com.diagbot.mapper;

import com.diagbot.dto.MedPacsResultDTO;
import com.diagbot.entity.BehospitalInfo;
import com.diagbot.entity.MedPacsResult;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author zhoutg
 * @since 2020-08-04
 */
public interface MedPacsResultMapper extends BaseMapper<MedPacsResult> {
    public List<MedPacsResultDTO> getMedPacsResults(BehospitalInfo behospitalInfo);
    void updateBatchByKey(List<MedPacsResult> list);
}
