package com.diagbot.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.DoctorAdviceDTO;
import com.diagbot.entity.DoctorAdvice;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.vo.DoctorAdviceVO;
import com.diagbot.vo.FilterVO;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 病人医嘱 服务类
 * </p>
 *
 * @author zhoutg
 * @since 2020-04-13
 */
public interface DoctorAdviceService extends IService<DoctorAdvice> {

    IPage<DoctorAdviceDTO> getPage(DoctorAdviceVO doctorAdviceVO);



    List<Map<String, String>> getDoctorAdviceNum(FilterVO filterVO);


}
