package com.diagbot.service;

import com.diagbot.entity.MedIndexResult;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.vo.FilterVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author cy
 * @since 2021-04-26
 */
public interface MedIndexResultService extends IService<MedIndexResult> {
    /**
     * 指标分母人数
     * @param filterVO
     * @return
     */
    public Map<String, Double> medicalRecordIndicator(@Param("filterVO") FilterVO filterVO);
}
