package com.diagbot.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @description:
 * @author: zhoutg
 * @time: 2020/4/13 18:31
 */
@Data
public class AnalyzeVO {

    private String behospitalCode; // 病历id
    @ApiModelProperty(hidden = true)
    private Long qcresultInfoId; // 病历主表id
    @ApiModelProperty(hidden = true)
    private Long hospitalId; //医院ID
    @ApiModelProperty(hidden = true)
    private Boolean isTask = false;
    @ApiModelProperty(hidden = true)
    private Long modeId;
    // 是否使用CRF缓存(false: 不使用缓存，true：使用缓存)
    @ApiModelProperty(hidden = true)
    private boolean useCrfCache;
    //是否有病案首页(0：无，1：有)
    @ApiModelProperty(hidden = true)
    private Integer haveHomePage;
    //逻辑删除接口（1-恢复和0-删除）标志
    @ApiModelProperty(hidden = true)
    private Integer delStatus;
    //已核查不能再次评分校验
    @ApiModelProperty("已核查不能再次评分标志位，false表示核查与评分无关已核查也可以评分")
    private Boolean checkFlag = true;
}
