package com.diagbot.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @description: 分配核查任务入参对象
 * @author: songxl
 * @time: 2021/05/17
 */
@Data
public class DistributionJobVO {
    //病人住院序号集合
    @ApiModelProperty("病人住院序号集合")
    private List<String> behospitalCodes;
    //医院id
    @ApiModelProperty(hidden = true)
    private String hospitalId;
    //分配用户id
    @ApiModelProperty(hidden = true)
    private String jobDistributor;
    //核查用户id
    @ApiModelProperty("核查用户id")
    private String checkId;
    //核查用户姓名
    @ApiModelProperty("核查用户姓名")
    private String checkName;
    @ApiModelProperty("核查用户科室id")
    private String checkDept;
    @ApiModelProperty("病人住院科室集合")
    private List<String> behospitalDepts;
    @ApiModelProperty("任务类型 0科室、1质控科额、2院级")
    private String jobType;
    //操作类型 分配或取消 0-分配，1-取消分配
    @ApiModelProperty("操作类型 分配或取消 0-分配，1-取消分配")
    private String distributionType;



}
