package com.diagbot.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

/**
 * @Description:
 * @author: cy
 * @time: 2020/9/4 14:59
 */
@Getter
@Setter
public class GetEntryDefectImproveDeptVO extends Page {
    /**
     * 医院id
     */
    @ApiModelProperty(hidden = true)
    private Long hospitalId;

    /**
     * 科室id
     */
    private String deptId;

    /**
     * 科室名称
     */
    private String deptName;

    /**
     * 主管医生
     */
    private String doctorName;

    /**
     * 医师工号
     */
    private String doctorId;

    /**
     * 缺陷名称
     */
    private String entryName;

    /**
     * 模块名称
     */
    private String casesName;

    @NotNull(message = "请输入起始时间")
    private String startDate;

    @NotNull(message = "请输入截止时间")
    private String endDate;
    /**
     * 0-不导出 1-导出
     */
    private Long exportType = 0L;

    /**
     * 排序（升序）
     */
    private String asc;

    /**
     * 排序（降序）
     */
    private String desc;

}
