package com.diagbot.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: gaodm
 * @time: 2020/4/14 14:27
 */
@Getter
@Setter
public class QcresultVO {
    //病历id
    private String behospitalCode;
    //医院ID
    @ApiModelProperty(hidden = true)
    private Long hospitalId;
    //操作类型(0:基础评分，1：新增条目评分，2：删除条目，3：修改条目)
    @ApiModelProperty(hidden = true)
    private Integer type;
    @ApiModelProperty("逻辑删除接口（1-恢复和0-删除）标志")
    private Integer delStatus;
    //操作条目
    private QcResultAlgVO optResultAlgVO;
}
